Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.servlet
Class HttpConstants

    java.lang.Object
      org.directwebremoting.servlet.HttpConstants

    public class HttpConstants

extends java.lang.Object

Various constant for dealing with HTTP traffic.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary
`static java.lang.String` | `HEADER_ETAG` HTTP etag header
`static java.lang.String` | `HEADER_IF_MODIFIED` HTTP header to request only modified data
`static java.lang.String` | `HEADER_IF_NONE` HTTP etag equivalent of HEADER_IF_MODIFIED
`static java.lang.String` | `HEADER_LAST_MODIFIED` HTTP header for when a file was last modified
`static java.lang.String` | `HEADER_USER_AGENT` The name of the user agent HTTP header

Constructor Summary
`HttpConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_ETAG

    public static final java.lang.String HEADER_ETAG

  HTTP etag header

  See Also:
    Constant Field Values

### HEADER_IF_NONE

    public static final java.lang.String HEADER_IF_NONE

  HTTP etag equivalent of HEADER_IF_MODIFIED

  See Also:
    Constant Field Values

### HEADER_LAST_MODIFIED

    public static final java.lang.String HEADER_LAST_MODIFIED

  HTTP header for when a file was last modified

  See Also:
    Constant Field Values

### HEADER_IF_MODIFIED

    public static final java.lang.String HEADER_IF_MODIFIED

  HTTP header to request only modified data

  See Also:
    Constant Field Values

### HEADER_USER_AGENT

    public static final java.lang.String HEADER_USER_AGENT

  The name of the user agent HTTP header

  See Also:
    Constant Field Values

Constructor Detail

### HttpConstants

    public HttpConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD